# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:53 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Strip
Summary:	String::Strip - Perl extension for fast, commonly used, string operations
Summary(pl):	String::Strip - rozszerzenie do szybkich, czsto uywanych operacji na acuchach
Name:		perl-String-Strip
Version:	1.01
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
 StripLTSpace - Removes Leading and Trailing spaces from given string
 StripTSpace  - Removes Trailing spaces from given string
 StripLSpace  - Removes Leading spaces from given string
 StripSpace   - Removes all spaces from given string

I do these things often, and these routines tend to be about 35% faster
than the corresponding regex methods.

%description -l pl
 StripLTSpace - usuwa wiodce i kocowe spacje z podanego acucha
 StripTSpace  - usuwa kocowe spacje z podanego acucha
 StripLSpace  - usuwa wiodce spacje z podanego acucha
 StripSpace   - usuwa wszystkie spacje z podanego acucha

Autor moduu czsto wykonuje te rzeczy, a te funkcje s okoo 35%
szybsze od odpowiadajcych im metod uywajcych wyrae regularnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitearch}/%{pdir}/*.pm
%dir %{perl_sitearch}/auto/%{pdir}/%{pnam}
%attr(755,root,root) %{perl_sitearch}/auto/%{pdir}/%{pnam}/*.so
%{perl_sitearch}/auto/%{pdir}/%{pnam}/*.ix
%{perl_sitearch}/auto/%{pdir}/%{pnam}/*.bs
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-Strip.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:58:50  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:36:53  qboosh
- it can't be noarch!!!
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
